Cannot change version of project facet Dynamic web Module

今天统一Maven项目配置环境的版本,发现Maven默认是2.5,但是现在基本上都用的tomcat7以上的服务器了。

所以动态网页基本上都用的3.0版本,结果发现facets设置里换不了版本呀…

如果facets版本不正确,tomcat运行时会爆Cannot change version of project facet Dynamic web的错误。

继续阅读Cannot change version of project facet Dynamic web Module

a pom xml file already exists in the destination folder

之前配置项目的时候各种报错,所以我一气之下删掉了之前的Maven项目,重新新建。

“删掉”之后,新建项目时,报出了这样一个错误:

继续阅读a pom xml file already exists in the destination folder